View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/payment/authcapturePreferstring<currency_code>Optionalreturn=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the id, status and HATEOAS links.return=representation. The server returns a complete resource representation, including the current state of the resource.application/json
TypeScript Definitions
Use the request body type in TypeScript.
invoice_idstring<currency_code>Optionalnote_to_payerstring<currency_code>Optionalamountobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredfinal_capturebooleanOptionalpayment_instructionobject<payment_instruction>Optionalplatform_feesobject<platform_fee>[]Optionalamountobject<money>Requiredcurrency_codestring<currency_code>RequiredvaluestringRequiredpayeeobject<payee_base>Optionalemail_addressstring<email>OptionalNote: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
merchant_idstring<account_id-2>Optionaldisbursement_modeenum<disbursement_mode>Optionalpayee_pricing_tier_idstringOptionalsoft_descriptorstring<currency_code>Optionalapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payments/authorizations/0VF52814937998046/capture" \ -H "PayPal-Request-Id: 17e81d06-77ab-11e8-adc0-fa71639ebebc" \ -H "Prefer: return=representation" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "PayPal-Auth-Assertion: eyJhbGciOiJub25lIn0.eyJlbWFpbCI6Im15QGVtYWlsLmNvbSJ9" \ -H "Content-Type: application/json" \ -d '{ "amount": { "value": "10.99", "currency_code": "USD" }, "invoice_id": "INVOICE-123", "final_capture": true, "note_to_payer": "If the ordered color is not available, we will substitute with a different color free of charge.", "soft_descriptor": "Bob\'s Custom Sweaters" }'{ "id": "23T524207X938445J", "amount": { "currency_code": "USD", "value": "100.00" }, "final_capture": false, "seller_protection": { "status": "ELIGIBLE", "dispute_categories": [ "ITEM_NOT_RECEIVED", "UNAUTHORIZED_TRANSACTION" ] }, "seller_receivable_breakdown": { "gross_amount": { "currency_code": "USD", "value": "1.00" }, "paypal_fee": { "currency_code": "USD", "value": "0.52" }, "net_amount": { "currency_code": "USD", "value": "0.48" }, "exchange_rate": {} }, "invoice_id": "OrderInvoice-10_10_2024_12_58_20_pm", "status": "COMPLETED", "create_time": "2024-10-14T21:29:26Z", "update_time": "2024-10-14T21:29:26Z", "links": [ { "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J", "rel": "self", "method": "GET" }, { "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J/refund", "rel": "refund", "method": "POST" }, { "href": "https://api-m.paypal.com/v2/payments/authorizations/6DR965477U7140544", "rel": "up", "method": "GET" } ]}